#include <iostream>
#include <cassert>

#include "solver.hpp"

using namespace std;

int main(int argc, char* argv[])
{
	Model mdl;

	Var* vars = mdl.addVars(3);

	mdl.addConstr(vars[0] + vars[1] + vars[2], '<', 4);
	mdl.addConstr(vars[0], '<', 2);
	mdl.addConstr(vars[2], '<', 3);
	mdl.addConstr(3 * vars[1] + vars[2], '<', 6);

	mdl.setObjective(vars[0] + 14 * vars[1] + 6 * vars[2]);

	switch(mdl.optimize(false)) {
	case Rtn::OPTIMAL:			
		cout << "find solution: " << mdl.get() << endl; 
		break;
	case Rtn::INFEASIBLE:	
		cout << "no solution" << endl;					
		break;
	case Rtn::UNBOUNDED:	
		cout << "unbounded solution" << endl;			
		break;
	default:
		assert(false);
	}
	return 0;
}
